Endpoints for integrating Ason into your platform. API Reference also available as Swagger UI.
Query divisions
path Parameters
tenantIdThe tenant id
query Parameters
filterThe OData filter expression (with support for attribute fields)
orderByThe OData order-by expression (with support for attribute fields)
resultThe query result type: items, count or items with count (default: result items)
The query result type
selectThe OData field selection expression
skipThe number of items in the queried collection that are to be skipped
statusThe object status (default: all status)
The object status
topThe number of items in the queried collection
Headers
Content-TypeThe request content type
Query divisions › Responses
The divisions matching the query, their count, or both, depending on result.
countThe query result count
The query result items
Add a new division
path Parameters
tenantIdThe tenant id
Headers
Content-TypeThe request content type
Add a new division › Request Body
nameThe division name
idThe unique object id (immutable)
statusThe object status
createdThe date which the API object was created (immutable)
updatedThe date which the API object was last updated (immutable)
The localized division names
cultureThe culture including the calendar, fallback of employee culture
Custom attributes
Add a new division › Responses
The created division.
nameThe division name
idThe unique object id (immutable)
statusThe object status
createdThe date which the API object was created (immutable)
updatedThe date which the API object was last updated (immutable)
The localized division names
cultureThe culture including the calendar, fallback of employee culture
Custom attributes
Get a division
path Parameters
tenantIdThe tenant id
divisionIdThe id of the division
Headers
Content-TypeThe request content type
Get a division › Responses
The division.
nameThe division name
idThe unique object id (immutable)
statusThe object status
createdThe date which the API object was created (immutable)
updatedThe date which the API object was last updated (immutable)
The localized division names
cultureThe culture including the calendar, fallback of employee culture
Custom attributes
Update a division
path Parameters
tenantIdThe tenant id
divisionIdHeaders
Content-TypeThe request content type
Update a division › Request Body
nameThe division name
idThe unique object id (immutable)
statusThe object status
createdThe date which the API object was created (immutable)
updatedThe date which the API object was last updated (immutable)
The localized division names
cultureThe culture including the calendar, fallback of employee culture
Custom attributes
Update a division › Responses
The updated division.
nameThe division name
idThe unique object id (immutable)
statusThe object status
createdThe date which the API object was created (immutable)
updatedThe date which the API object was last updated (immutable)
The localized division names
cultureThe culture including the calendar, fallback of employee culture
Custom attributes
